services:
  evilspins:
    image: local/evilspins
    build:
      context: .
      dockerfile: Dockerfile
    container_name: evilspins
    restart: unless-stopped
    working_dir: /app
    ports:
      - "${PORT}:${PORT_EXPOSED}"
    volumes:
      - "${MEDIA_DIR}:/mnt/media"
    environment:
      VIRTUAL_HOST: "${DOMAIN}"
      LETSENCRYPT_HOST: "${DOMAIN}"
      PUID: "${PUID}"
      PGID: "${PGID}"

networks:
  default:
    name: dockerweb
    external: true
